//------------------------------------------------------------------------------ 
// Copyright (c) 2004 Xilinx, Inc. 
// All Rights Reserved 
//------------------------------------------------------------------------------ 
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /   Vendor: Xilinx 
// \   \   \/    Author: Niall Battson, Xilinx, Inc.
//  \   \        Filename: design_top.vhd
//  /   /        Date Last Modified:  Sept 2, 2004 
// /___/   /\    Date Created: Sept 2, 2004 
// \   \  /  \ 
//  \___\/\___\ 
// 
//
// Revision History: 
//------------------------------------------------------------------------------ 
//   
//   XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS" 
//   AS A COURTESY TO YOU, SOLELY FOR USE IN DEVELOPING PROGRAMS AND 
//   SOLUTIONS FOR XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, 
//   OR INFORMATION AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, 
//   APPLICATION OR STANDARD, XILINX IS MAKING NO REPRESENTATION 
//   THAT THIS IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT, 
//   AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE 
//   FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY 
//  WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE 
//   IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR 
//   REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF 
//   INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS 
//   FOR A PARTICULAR PURPOSE. 
//
//------------------------------------------------------------------------------ 


//
// Module: SYSTOLIC FIR FILTER (23 TAP)
//
// Description: Verilog instantiation template for 
// DSP48 embedded MAC blocks arranged as a Transpose
// 23 tap FIR filter. 23 slices used, 1 slice per tap.
// 
//
// Device: Virtex-4
//
// Copyright (c) 2000 Xilinx, Inc.  All rights reserved.
//
////////////////////////////////////////////////////////////////////////////////////
//



module design_top(din,clk,ce,rst,dout);
    input [17:0] din;
    input clk;
    input ce;
    input rst;
    output [17:0] dout;

    wire [47:0]   dout_full;
	 
	 MADD U1
	 (
	     .CLK(clk),
		  .RST(rst),
		  .CE(ce),
		  .DIN(din),
		  .DOUT(dout_full)
	 );

	 assign dout = dout_full[17:0];

endmodule
